Name:           perl-Authen-Captcha
Version:        1.024
Release:    1%{?dist}
Summary:        Perl extension for creating captchas
License:        GPLv2

URL:            https://metacpan.org/release/Authen-Captcha
Source0:        https://cpan.metacpan.org/authors/id/L/LK/LKUNDRAK/Authen-Captcha-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(GD)
BuildRequires:  perl(strict)
BuildRequires:  perl(String::Random)
BuildRequires:  perl(Test)
BuildRequires:  perl(vars)
BuildRequires:  sed

%{?perl_default_filter}

%description
Authen::Captcha provides an object oriented interface to captcha file
creations. Captcha stands for Completely Automated Public Turning test to
tell Computers and Humans Apart.


%prep
%setup -q -n Authen-Captcha-%{version}


%build
sed -i 's/\r//' license.txt
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes license.txt README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.024-1
- initial build
